main()
{
	//maps\mp\mp_archives_fx::main();
	//maps\createart\mp_archives_art::main();
	maps\mp\_load::main();	
	
	maps\mp\_compass::setupMiniMap("compass_map_mp_archives");

	//setExpFog(500, 2200, 0.81, 0.75, 0.63, 0);
	//VisionSetNaked( "mp_archives" );
	ambientPlay("ambient_archives_ext");

	game["allies"] = "sas";
	game["axis"] = "opfor";
	game["attackers"] = "axis";
	game["defenders"] = "allies";
	game["allies_soldiertype"] = "woodland";
	game["axis_soldiertype"] = "woodland";

	setdvar( "r_specularcolorscale", "1" );
	setdvar("r_glowbloomintensity0",".25");
	setdvar("r_glowbloomintensity1",".25");
	setdvar("r_glowskybleedintensity0",".3");
	setdvar("compassmaxrange","1800");

	//background music code
	musicbackground = getent ("music","targetname");
	musicbackground thread music();

	//door code
	trigdoorswing = getentarray("trigdoorswing","targetname");
	for(i=0;i<trigdoorswing.size;i++)
	{
		if (trigdoorswing[i].script_noteworthy == "ccw")
		{
		trigdoorswing[i].intswingdirection = 1;
		}
		else
		{
		trigdoorswing[i].intswingdirection = -1;		
		}
		trigdoorswing[i].doormodel = getent(trigdoorswing[i].target, "targetname");
		trigdoorswing[i].doormodel.doormoving = false;
		trigdoorswing[i].doormodel.doorclosed = true;
		trigdoorswing[i] thread doorswing();
	}

	trigger_door_secret = getentarray("trigger_door_secret","targetname");
	for(i=0;i<trigger_door_secret.size;i++)
	trigger_door_secret[i] thread doorslideup_think();
}

//background music code
music()
{
	wait(5);
	self playsound("bond");
}

//door code
doorswing()
{
	while (1)
	{
		self waittill("trigger");
		if(!self.doormodel.doormoving)
		{
			self.doormodel.doormoving = true;
			if(self.doormodel.doorclosed)
			{
				self.doormodel rotateyaw(self.intswingdirection * 90,1,0.5,0.5);
				self.doormodel playsound("doormove");
				self.doormodel waittill("rotatedone");
				self.doormodel.doorclosed = false;
		
				//close door again
				wait 4;
				self.doormodel rotateyaw(self.intswingdirection * -90,1,0.5,0.5);
				self.doormodel playsound("doormove");
				self.doormodel waittill("rotatedone");
				self.doormodel.doorclosed = true;		
			}
			self.doormodel.doormoving = false;
			
		}
	}
}

doorslideup_think()
{
	self.doormoving = false;
	self.doorclosed = true;
	self.doormodel = getent(self.target, "targetname");

	while (1)
	{
		self waittill("trigger");
		if(!self.doormoving)
		{
			self.doormoving = true;
			if(self.doorclosed)
			{
				self.doormodel movez(102,1,0.5,0.5);
				self.doormodel playsound("doorslide");
				self.doormodel waittill("movedone");
				self.doorclosed = false;

				//close door again
				wait 4;
				self.doormodel movez(-102,1,0.5,0.5);
				self.doormodel playsound("doorslide");
				self.doormodel waittill("movedone");
				self.doorclosed = true;		
			}
			else
			{
				self.doormodel movez(-102,1,0.5,0.5);
				self.doormodel playsound("doorslide");
				self.doormodel waittill("movedone");
				self.doorclosed = true;
			}
			self.doormoving = false;
		}
	}
}